/**
 * Autocomplete component with dropdown
 *
 * @figmaId 709-435
 * @category Input Types
 */
declare const _default: <T extends Record<string, any>, TValue extends keyof T>(__VLS_props: NonNullable<Awaited<typeof __VLS_setup>>["props"], __VLS_ctx?: __VLS_PrettifyLocal<Pick<NonNullable<Awaited<typeof __VLS_setup>>, "attrs" | "emit" | "slots">>, __VLS_expose?: NonNullable<Awaited<typeof __VLS_setup>>["expose"], __VLS_setup?: Promise<{
    props: __VLS_PrettifyLocal<Pick<Partial<{}> & Omit<{
        readonly "onClick:item"?: ((item: T, item2?: string | undefined) => any) | undefined;
        readonly "onUpdate:modelValue"?: ((modelValue: T[TValue]) => any) | undefined;
    } & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps, never>, "onClick:item" | "onUpdate:modelValue"> & ({
        modelValue?: T[TValue];
    } & {
        /**
         * Unique identifier of the input
         */
        name?: string;
        /**
         *  Whether the input is clearable
         */
        clearable?: boolean;
        /**
         *  Data to display in the dropdown
         */
        data: T[];
        /**
         *  Whether the input is disabled
         */
        disabled?: boolean;
        /**
         *  Icon to show at the beginning of the input
         */
        iconBefore?: string;
        /**
         *  Icon to show at the end of the input
         */
        iconAfter?: string;
        /**
         *  Key of the object to use as label for the items
         */
        itemLabelKey?: keyof T | "label";
        /**
         *  Key of the object to use as value for the items
         */
        itemValueKey?: TValue | "value";
        /**
         *  Whether the dropdown is scrollable
         */
        scrollable?: boolean;
        /**
         *  Placeholder for the search input
         */
        placeholder?: string;
        /**
         *  Text to show when no items are found in dropdown
         */
        emptyText?: string;
        /**
         *  Block position of the dropdown relative to the input
         */
        positionBlock?: "start" | "end";
        /**
         *  Inline position of the dropdown relative to the input
         */
        positionInline?: "start" | "end";
        /**
         *  Initial maximum number of items to display in the dropdown
         */
        limit?: number;
        /**
         *  Number of items to insert in the dropdown when scrolling down
         */
        take?: number;
        /**
         * Whether the input is in an error state
         */
        error?: boolean;
        /**
         * Whether the input is in a warning state
         */
        warning?: boolean;
    })> & import('vue').PublicProps;
    expose(exposed: import('vue').ShallowUnwrapRef<{}>): void;
    attrs: any;
    slots: Readonly<{
        /**
         * Slot for the item in the dropdown
         */
        item: (props: {
            item: T;
            index: number;
        }) => void;
    }> & {
        /**
         * Slot for the item in the dropdown
         */
        item: (props: {
            item: T;
            index: number;
        }) => void;
    };
    emit: ((e: "click:item", item: T, item2?: string) => void) & {
        'update:modelValue': [modelValue: T[TValue]];
    };
}>) => import('vue').VNode & {
    __ctx?: Awaited<typeof __VLS_setup>;
};
export default _default;
type __VLS_PrettifyLocal<T> = {
    [K in keyof T]: T[K];
} & {};
