import { RouteLocationRaw } from 'vue-router';
export type AppButtonVariant = 'filled' | 'outlined' | 'text';
declare function __VLS_template(): {
    slots: {
        default?(_: {}): any;
    };
    refs: {};
    attrs: Partial<{}>;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<globalThis.ExtractPropTypes<{
    /**
     * Variant of the button
     * @values filled, outlined, text
     */
    variant: {
        type: PropType<AppButtonVariant>;
        default: string;
        validator: (value: AppButtonVariant) => boolean;
    };
    /**
     * Is the field interactive?
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Text inside of the button
     */
    text: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Name of the icon to be rendered before the text
     */
    iconStart: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Name of the icon to be rendered after the text
     */
    iconEnd: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Name of the icon to be rendered instead of the text
     */
    icon: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Route / URL to navigate to when the button is clicked
     */
    href: {
        type: PropType<RouteLocationRaw>;
    };
    /**
     * Target of the link
     * @values _blank, _self, _parent, _top
     */
    target: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
    /**
     * Rel attribute of the link
     * @values alternate, author, bookmark, external, help, license, next, nofollow, noreferrer, noopener, prev, search, tag
     */
    rel: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<globalThis.ExtractPropTypes<{
    /**
     * Variant of the button
     * @values filled, outlined, text
     */
    variant: {
        type: PropType<AppButtonVariant>;
        default: string;
        validator: (value: AppButtonVariant) => boolean;
    };
    /**
     * Is the field interactive?
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Text inside of the button
     */
    text: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Name of the icon to be rendered before the text
     */
    iconStart: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Name of the icon to be rendered after the text
     */
    iconEnd: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Name of the icon to be rendered instead of the text
     */
    icon: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Route / URL to navigate to when the button is clicked
     */
    href: {
        type: PropType<RouteLocationRaw>;
    };
    /**
     * Target of the link
     * @values _blank, _self, _parent, _top
     */
    target: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
    /**
     * Rel attribute of the link
     * @values alternate, author, bookmark, external, help, license, next, nofollow, noreferrer, noopener, prev, search, tag
     */
    rel: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
}>> & Readonly<{}>, {
    disabled: boolean;
    text: string;
    icon: string;
    variant: AppButtonVariant;
    iconStart: string;
    iconEnd: string;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
