import { RouteLocationRaw } from 'vue-router';
/**
 * Basic unit of organization inside content
 *
 * @figmaId 37-14
 *
 * @cssVar {Space} [--app-card-corner-radius=0] - Corner radius of the card
 * @cssVar {Space} [--app-card-padding=var(--space-s)] - Padding of the card
 * @cssVar {Color} [--app-card-background-color=var(--app-color-surface)] - Background color of the card
 * @cssVar {Color} [--app-card-text-color=var(--app-color-on-surface)] - Text color of the card
 */
declare const _default: import('vue').DefineComponent<globalThis.ExtractPropTypes<{
    /**
     * Is the card disabled?
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Link to navigate to when the card is clicked
     */
    href: {
        type: PropType<RouteLocationRaw>;
        default: undefined;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<globalThis.ExtractPropTypes<{
    /**
     * Is the card disabled?
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Link to navigate to when the card is clicked
     */
    href: {
        type: PropType<RouteLocationRaw>;
        default: undefined;
    };
}>> & Readonly<{}>, {
    disabled: boolean;
    href: string | import('vue-router').RouteLocationAsRelativeGeneric | import('vue-router').RouteLocationAsPathGeneric;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
