declare let __VLS_typeProps: {
    /**
     * Whether the field is required
     */
    required?: boolean;
    /**
     * Whether the field is highlighted
     * @deprecated `highlighted` only available in input **boxes**
     */
    highlighted?: boolean;
    /**
     * Label of the field
     * @deprecated use `<AppInputField>` wrapper for labels
     */
    label?: string;
    /**
     * Name of the field
     */
    name?: string;
    /**
     * Whether the text field is in an error state
     */
    error?: boolean;
    /**
     * Whether the text field is in a warning state
     */
    warning?: boolean;
    /**
     * Whether the field is disabled
     */
    disabled?: boolean;
    /**
     * Icon to display next to the label
     * @deprecated use `<AppInputField>` wrapper for labels
     */
    labelIcon?: string;
    /**
     * Info tooltip text
     * @deprecated use `<AppInputField>` wrapper for labels
     */
    info?: string;
    /**
     * Placeholder text
     */
    placeholder?: string;
    /**
     * Minimum number of rows the content editor is going to have
     */
    minRows?: number;
    /**
     * Maximum number of rows the content editor is going to have
     */
    maxRows?: number;
    /**
     * Whether to display a counter with the number of characters
     */
    counter?: boolean;
    /**
     * Maximum number of characters
     * @deprecated use native `maxlength` instead
     */
    maxLength?: number;
    /**
     * Maximum number of characters
     */
    maxlength?: number;
};
type __VLS_PublicProps = {
    modelValue?: string;
} & typeof __VLS_typeProps;
declare function __VLS_template(): {
    slots: Readonly<{
        /**
         * Content of the content box
         */
        default?: () => VNode[];
    }> & {
        /**
         * Content of the content box
         */
        default?: () => VNode[];
    };
    refs: {};
    attrs: Partial<{}>;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<__VLS_PublicProps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    "update:modelValue": (modelValue: string) => any;
}, string, import('vue').PublicProps, Readonly<__VLS_PublicProps> & Readonly<{
    "onUpdate:modelValue"?: ((modelValue: string) => any) | undefined;
}>, {
    disabled: boolean;
    required: boolean;
    error: boolean;
    warning: boolean;
    highlighted: boolean;
    minRows: number;
    counter: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
