declare function __VLS_template(): {
    slots: Readonly<{
        /**
         * Content for building a menu. Use `AppDropdownItem` components to build one
         * @param slotProps Props to be passed to the slot
         */
        trigger?: (slotProps?: any) => VNode[];
        /**
         * Content to be displayed inside the dropdown. Usually menu items.
         * @param slotProps Props to be passed to the slot
         */
        default?: (slotProps?: any) => VNode[];
    }> & {
        /**
         * Content for building a menu. Use `AppDropdownItem` components to build one
         * @param slotProps Props to be passed to the slot
         */
        trigger?: (slotProps?: any) => VNode[];
        /**
         * Content to be displayed inside the dropdown. Usually menu items.
         * @param slotProps Props to be passed to the slot
         */
        default?: (slotProps?: any) => VNode[];
    };
    refs: {};
    attrs: Partial<{}>;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<{
    /**
     * Event that triggers the dropdown
     * @values click, hover, contextmenu, focus
     */
    triggers?: ("click" | "hover" | "contextmenu" | "focus")[];
    /**
     * ARIA role of the dropdown
     * @values list, menu, dialog
     */
    ariaRole?: "list" | "menu" | "dialog";
    /**
     * Close dropdown on click
     */
    closeable?: boolean;
    /**
     * Is the dropdown disabled
     */
    disabled?: boolean;
    /**
     * Display dropdown as a modal on mobile
     */
    mobileModal?: boolean;
    /**
     * Position of the dropdown relative to the trigger on the block axis
     * @values start, end
     * @deprecated Use `axis`, `place` and `align` instead
     */
    positionBlock?: "start" | "end";
    /**
     * Position of the dropdown relative to the trigger on the inline axis
     * @values start, end
     * @deprecated Use `axis`, `place` and `align` instead
     */
    positionInline?: "start" | "end";
    /**
     * The axis on which the dropdown should be positioned
     * @values block, inline
     */
    axis?: "block" | "inline";
    /**
     * Position of the dropdown relative to the trigger on specified axis
     * @values before, after
     */
    place?: "before" | "after";
    /**
     * Alignment of the dropdown on the opposite axis
     * @values start, center, end
     */
    align?: "start" | "center" | "end";
    /**
     * Make the dropdown scrollable
     */
    scrollable?: boolean;
    /**
     * Trap focus inside the dropdown
     */
    trapFocus?: boolean;
    /**
     * Tabindex of the trigger
     */
    triggerTabindex?: number;
}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
    /**
     * Event that triggers the dropdown
     * @values click, hover, contextmenu, focus
     */
    triggers?: ("click" | "hover" | "contextmenu" | "focus")[];
    /**
     * ARIA role of the dropdown
     * @values list, menu, dialog
     */
    ariaRole?: "list" | "menu" | "dialog";
    /**
     * Close dropdown on click
     */
    closeable?: boolean;
    /**
     * Is the dropdown disabled
     */
    disabled?: boolean;
    /**
     * Display dropdown as a modal on mobile
     */
    mobileModal?: boolean;
    /**
     * Position of the dropdown relative to the trigger on the block axis
     * @values start, end
     * @deprecated Use `axis`, `place` and `align` instead
     */
    positionBlock?: "start" | "end";
    /**
     * Position of the dropdown relative to the trigger on the inline axis
     * @values start, end
     * @deprecated Use `axis`, `place` and `align` instead
     */
    positionInline?: "start" | "end";
    /**
     * The axis on which the dropdown should be positioned
     * @values block, inline
     */
    axis?: "block" | "inline";
    /**
     * Position of the dropdown relative to the trigger on specified axis
     * @values before, after
     */
    place?: "before" | "after";
    /**
     * Alignment of the dropdown on the opposite axis
     * @values start, center, end
     */
    align?: "start" | "center" | "end";
    /**
     * Make the dropdown scrollable
     */
    scrollable?: boolean;
    /**
     * Trap focus inside the dropdown
     */
    trapFocus?: boolean;
    /**
     * Tabindex of the trigger
     */
    triggerTabindex?: number;
}> & Readonly<{}>, {
    disabled: boolean;
    scrollable: boolean;
    positionBlock: "start" | "end";
    positionInline: "start" | "end";
    closeable: boolean;
    mobileModal: boolean;
    axis: "block" | "inline";
    place: "before" | "after";
    align: "start" | "center" | "end";
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
