declare function __VLS_template(): {
    slots: Readonly<{
        /**
         * Template content for tooltip
         * @param {number} argument The argument of the tooltip
         * @param {number} value The value of the tooltip
         */
        tooltip: (argument: number, value: number) => VNode[];
        /**
         * Slot for the value axis
         */
        valueAxis: () => VNode[];
        /**
         * Slot for the argument axis
         */
        argumentAxis: () => VNode[];
        /**
         * Slot for the series
         */
        series: () => VNode[];
        /**
         * Right panel slot
         */
        inlineEnd: () => VNode[];
        /**
         * Default slot
         */
        default: () => VNode[];
    }> & {
        /**
         * Template content for tooltip
         * @param {number} argument The argument of the tooltip
         * @param {number} value The value of the tooltip
         */
        tooltip: (argument: number, value: number) => VNode[];
        /**
         * Slot for the value axis
         */
        valueAxis: () => VNode[];
        /**
         * Slot for the argument axis
         */
        argumentAxis: () => VNode[];
        /**
         * Slot for the series
         */
        series: () => VNode[];
        /**
         * Right panel slot
         */
        inlineEnd: () => VNode[];
        /**
         * Default slot
         */
        default: () => VNode[];
    };
    refs: {};
    attrs: Partial<{}>;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<{
    /**
     * Specifies the data source for the chart.
     */
    data?: readonly Record<string, any>[];
    /**
     * Specifies the data source field that provides arguments for a series.
     */
    argumentField: string;
    /**
     * Specifies the data source field that provides values for a series.
     */
    valueField: string;
    /**
     * Specifies the chart title.
     */
    title?: string;
    /**
     * Specifies the step between the ticks on the value axis.
     */
    step?: number;
    /**
     * Specifies the step between the ticks on the argument axis.
     */
    gridStep?: number;
    /**
     * Specifies whether to show the ticks on the argument axis.
     */
    argumentTicks?: boolean;
}, {
    minValue: globalThis.ComputedRef<number | undefined>;
    maxValue: globalThis.ComputedRef<number | undefined>;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    argumentClick: (argument: number) => any;
}, string, import('vue').PublicProps, Readonly<{
    /**
     * Specifies the data source for the chart.
     */
    data?: readonly Record<string, any>[];
    /**
     * Specifies the data source field that provides arguments for a series.
     */
    argumentField: string;
    /**
     * Specifies the data source field that provides values for a series.
     */
    valueField: string;
    /**
     * Specifies the chart title.
     */
    title?: string;
    /**
     * Specifies the step between the ticks on the value axis.
     */
    step?: number;
    /**
     * Specifies the step between the ticks on the argument axis.
     */
    gridStep?: number;
    /**
     * Specifies whether to show the ticks on the argument axis.
     */
    argumentTicks?: boolean;
}> & Readonly<{
    onArgumentClick?: ((argument: number) => any) | undefined;
}>, {
    step: number;
    gridStep: number;
    argumentTicks: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
