declare let __VLS_typeProps: {
    /**
     * Should the modal be closed once clicked outside of it?
     */
    hideOnOutsideClick?: boolean;
    /**
     * Should the modal take the whole space on the screen?
     */
    fullScreen?: boolean;
    /**
     * Should close button be shown in the toolbar?
     */
    showCloseButton?: boolean;
    /**
     * Block axis position of the modal on screen
     * @values center, start, end
     */
    positionBlock?: 'center' | 'start' | 'end';
    /**
     * Inline axis position of the modal on screen
     * @values center, start, end
     */
    positionInline?: 'center' | 'start' | 'end';
};
type __VLS_PublicProps = {
    'isOpen'?: boolean;
} & typeof __VLS_typeProps;
declare function __VLS_template(): {
    slots: Readonly<{
        /**
         * Main content of the modal to be displayed
         */
        default?: () => (import('vue').VNode)[];
        /**
         * Content of the activator that opens the modal once clicked. It is usually a button.
         */
        activator?: (props: {
            isOpen: boolean;
        }) => (import('vue').VNode)[];
        /**
         * Content of the toolbar that is shown at the top of the modal.
         */
        toolbar?: () => (import('vue').VNode)[];
        /**
         * Content inside of the title of the modal
         */
        title?: () => (import('vue').VNode)[];
        /**
         * Content of the actions shown at the bottom of the modal. Usually includes a set of buttons.
         */
        actions?: () => (import('vue').VNode)[];
    }> & {
        /**
         * Main content of the modal to be displayed
         */
        default?: () => (import('vue').VNode)[];
        /**
         * Content of the activator that opens the modal once clicked. It is usually a button.
         */
        activator?: (props: {
            isOpen: boolean;
        }) => (import('vue').VNode)[];
        /**
         * Content of the toolbar that is shown at the top of the modal.
         */
        toolbar?: () => (import('vue').VNode)[];
        /**
         * Content inside of the title of the modal
         */
        title?: () => (import('vue').VNode)[];
        /**
         * Content of the actions shown at the bottom of the modal. Usually includes a set of buttons.
         */
        actions?: () => (import('vue').VNode)[];
    };
    refs: {};
    attrs: Partial<{}>;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<__VLS_PublicProps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    "update:isOpen": (isOpen: boolean) => any;
} & {
    dismiss: () => any;
}, string, import('vue').PublicProps, Readonly<__VLS_PublicProps> & Readonly<{
    onDismiss?: (() => any) | undefined;
    "onUpdate:isOpen"?: ((isOpen: boolean) => any) | undefined;
}>, {
    positionBlock: "center" | "start" | "end";
    positionInline: "center" | "start" | "end";
    hideOnOutsideClick: boolean;
    fullScreen: boolean;
    showCloseButton: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
