export type AppSelectBoxOptions = {
    name: string;
    value: string;
}[];
declare const _default: import('vue').DefineComponent<{
    /**
     * List of items to be displayed
     */
    items?: AppSelectBoxOptions;
    /**
     * Whether the field is required
     */
    required?: boolean;
    /**
     * Whether the field is highlighted
     */
    highlighted?: boolean;
    /**
     * Label of the field
     */
    label?: string;
    /**
     * Name of the field
     */
    name?: string;
    /**
     * Does this field have an warning? If so, what warning?
     */
    warning?: string;
    /**
     * Does this field have an error? If so, what error?
     */
    error?: string;
    /**
     * Whether the field is disabled
     */
    disabled?: boolean;
    /**
     * Placeholder text displayed when no option is selected
     */
    placeholder?: string;
    /**
     * Icon prepended before label from Material Symbols library
     */
    labelIcon?: string;
    /**
     * Info text displayed inside the tooltip next to the label
     */
    info?: string;
    /**
     * Whether the dropdown content is scrollable
     */
    scrollable?: boolean;
    /**
     * Maximum height of the dropdown content
     */
    maxHeight?: string | number;
}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
    /**
     * List of items to be displayed
     */
    items?: AppSelectBoxOptions;
    /**
     * Whether the field is required
     */
    required?: boolean;
    /**
     * Whether the field is highlighted
     */
    highlighted?: boolean;
    /**
     * Label of the field
     */
    label?: string;
    /**
     * Name of the field
     */
    name?: string;
    /**
     * Does this field have an warning? If so, what warning?
     */
    warning?: string;
    /**
     * Does this field have an error? If so, what error?
     */
    error?: string;
    /**
     * Whether the field is disabled
     */
    disabled?: boolean;
    /**
     * Placeholder text displayed when no option is selected
     */
    placeholder?: string;
    /**
     * Icon prepended before label from Material Symbols library
     */
    labelIcon?: string;
    /**
     * Info text displayed inside the tooltip next to the label
     */
    info?: string;
    /**
     * Whether the dropdown content is scrollable
     */
    scrollable?: boolean;
    /**
     * Maximum height of the dropdown content
     */
    maxHeight?: string | number;
}> & Readonly<{}>, {
    disabled: boolean;
    required: boolean;
    scrollable: boolean;
    placeholder: string;
    error: string;
    warning: string;
    items: AppSelectBoxOptions;
    highlighted: boolean;
    maxHeight: string | number;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
