import { MaybeRefOrGetter } from '@vueuse/core';
import { RouteLocationRaw } from 'vue-router';
/**
 * Resolves the tag and props for a link to use in templates
 * @param to - The location to link to
 * @param fallbackTag - The tag to render if no link is present
 * @returns The tag and props for the link
 */
export declare function useLink(to?: MaybeRefOrGetter<RouteLocationRaw | undefined>, fallbackTag?: MaybeRefOrGetter<string>): {
    tag: globalThis.ComputedRef<string | globalThis.Component>;
    vWave: import('vue').Directive;
    isInTriggerWrapper: globalThis.Ref<boolean, boolean>;
    isInteractive: globalThis.ComputedRef<false | {}>;
    linkProps: globalThis.ComputedRef<{
        target: string;
        rel: string;
        to: string | import('vue-router').RouteLocationAsRelativeGeneric | import('vue-router').RouteLocationAsPathGeneric;
    } | {
        target?: undefined;
        rel?: undefined;
        to: string | import('vue-router').RouteLocationAsRelativeGeneric | import('vue-router').RouteLocationAsPathGeneric;
    } | {
        target: string;
        rel: string;
        href: string;
    } | {
        target?: undefined;
        rel?: undefined;
        href: string;
    } | undefined>;
};
