import { RouteLocationRaw } from 'vue-router';
export declare function getLinkComponent(): globalThis.Component | "a";
/**
 * Resolves the location to a local format for use in specified router library
 * @param to - The generic location to resolve
 * @returns Object with props that can be spread on the link component
 */
export declare function resolveLink<T extends RouteLocationRaw>(to?: T): {
    target: string;
    rel: string;
    to: T;
} | {
    target?: undefined;
    rel?: undefined;
    to: T;
} | {
    target: string;
    rel: string;
    href: string;
} | {
    target?: undefined;
    rel?: undefined;
    href: string;
} | undefined;
