import { UseFetchOptions } from 'nuxt/app';
import { MaybeRefOrGetter } from 'vue';
export declare function useApi<T>(url: MaybeRefOrGetter<string>, options?: UseFetchOptions<T> & {
    /**
     * Access internal $fetch configuration
     */
    $api?: Parameters<typeof $fetch['create']>[0];
    /**
     * Hook strategy to use when merging hooks options e.g. `onFetchResponse`
     */
    hookStrategy?: 'replace' | 'merge';
    onRequest?: Parameters<typeof $fetch['create']>[0]['onRequest'];
    onRequestError?: Parameters<typeof $fetch['create']>[0]['onRequestError'];
    onResponse?: Parameters<typeof $fetch['create']>[0]['onResponse'];
    onResponseError?: Parameters<typeof $fetch['create']>[0]['onResponseError'];
}): {
    statusCode: globalThis.Ref<number | undefined, number | undefined>;
    isFetching: globalThis.ComputedRef<boolean>;
    abort: {
        (reason?: any): void;
        (reason?: any): void;
    };
    data: globalThis.Ref<T, T>;
    pending: Ref<boolean>;
    refresh: (opts?: import('node_modules/nuxt/dist/app/composables/asyncData').AsyncDataExecuteOptions) => Promise<void>;
    execute: (opts?: import('node_modules/nuxt/dist/app/composables/asyncData').AsyncDataExecuteOptions) => Promise<void>;
    clear: () => void;
    error: Ref<ErrorT | DefaultAsyncDataErrorValue>;
    status: Ref<import('#app').AsyncDataRequestStatus>;
    then<TResult1 = import('node_modules/nuxt/dist/app/composables/asyncData')._AsyncData<T, Error>, TResult2 = never>(onfulfilled?: ((value: import('node_modules/nuxt/dist/app/composables/asyncData')._AsyncData<T, Error>) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined): Promise<TResult1 | TResult2>;
    catch<TResult = never>(onrejected?: ((reason: any) => TResult | PromiseLike<TResult>) | null | undefined): Promise<import('node_modules/nuxt/dist/app/composables/asyncData')._AsyncData<T, Error> | TResult>;
    finally(onfinally?: (() => void) | null | undefined): Promise<import('node_modules/nuxt/dist/app/composables/asyncData')._AsyncData<T, Error>>;
    [Symbol.toStringTag]: string;
};
export default useApi;
