import { MaybeRefOrGetter } from 'vue';
export interface UseAuthOptions {
    impersonateAs: MaybeRefOrGetter<{
        id: string;
        name: string;
        profilePictureUrl: string | null;
    } | null>;
}
export declare function useAuth(options?: UseAuthOptions): {
    accessToken: globalThis.Ref<string, string>;
    initials: globalThis.ComputedRef<string>;
    account: globalThis.WritableComputedRef<import('@azure/msal-browser').AccountInfo | null, import('@azure/msal-browser').AccountInfo | null>;
    fullName: globalThis.ComputedRef<string | undefined>;
    userId: globalThis.ComputedRef<string | undefined>;
    roles: globalThis.ComputedRef<string[] | undefined>;
    isImpersonator: globalThis.ComputedRef<boolean | undefined>;
    isAdmin: globalThis.ComputedRef<boolean | undefined>;
    signOut: () => void;
};
export default useAuth;
