import { env as n } from "node:process";
import { createRequire as d } from "module";
const p = String.raw, y = p`<style type="text/css">

@charset "UTF-8";
@import 'https://fonts.googleapis.com/css2?family=Material+Symbols+Rounded:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200&display=swap';
/* MANAGER STYLES */
:root,
html,
body {
  font-family: "Open Sans", sans-serif;
  --sidebar-color: color-mix(
    in lch,
    var(--app-color-background),
    var(--contrast-color) 10%
  );
}

div.search-field, div.sidebar-header {
  position: sticky;
  margin-inline: -20px !important;
  background-color: color-mix(in srgb, var(--sidebar-color), transparent 20%);
  backdrop-filter: blur(10px);
  z-index: 1;
}
div.search-field {
  margin-block-start: 0;
  top: 80px;
  border-block-end: 1px solid rgba(var(--app-color-on-background-rgb)/0.1);
  padding-block: 15px;
  padding-inline: 20px;
}
div.sidebar-header {
  padding: 20px;
  padding-block-end: 0;
  top: 0;
  margin-block-start: -20px !important;
}

.sidebar-container {
  background-color: var(--sidebar-color);
}

#storybook-explorer-tree .sidebar-item {
  padding-block: 0.7em;
  border-radius: 0.5em;
  font-size: 0.9rem;
  display: flex;
  align-items: center;
  gap: 0.7em;
}
#storybook-explorer-tree .sidebar-item svg {
  margin: 0;
  width: 18px;
}
#storybook-explorer-tree .sidebar-item[data-selected=true] {
  background: rgba(var(--app-color-primary-rgb)/10%);
  color: var(--app-color-primary);
  font-weight: 600;
  box-shadow: 0 0 0 1px rgba(var(--app-color-primary-rgb)/25%);
}
#storybook-explorer-tree .sidebar-item[data-selected=true] svg {
  color: inherit !important;
}
#storybook-explorer-tree .sidebar-item #introduction--docs svg,
#storybook-explorer-tree .sidebar-item #getting-started--docs svg,
#storybook-explorer-tree .sidebar-item #design-system--docs svg,
#storybook-explorer-tree .sidebar-item #contribute--docs svg {
  display: none;
}
#storybook-explorer-tree .sidebar-item a {
  display: flex;
  gap: 1em;
  align-items: center;
  margin: -0.2em;
}
#storybook-explorer-tree .sidebar-item a:before {
  content: "";
  font-family: "Material Symbols Rounded", sans-serif;
  font-weight: normal;
  font-style: normal;
  font-size: 1.5em;
  line-height: 1;
  letter-spacing: normal;
  text-transform: none;
  display: inline-block;
  white-space: nowrap;
  word-wrap: normal;
  direction: ltr;
  font-display: fallback;
  -webkit-font-feature-settings: "liga";
  -webkit-font-smoothing: antialiased;
  font-variation-settings: "FILL" 0, "wght" 600, "GRAD" 0, "opsz" 48;
  color: inherit !important;
}
#storybook-explorer-tree .sidebar-item a#introduction--docs:before {
  content: "";
}
#storybook-explorer-tree .sidebar-item a#getting-started--docs:before {
  content: "";
}
#storybook-explorer-tree .sidebar-item a#design-system--docs:before {
  content: "";
}
#storybook-explorer-tree .sidebar-item a#contribute--docs:before {
  content: "";
}
#storybook-explorer-tree .sidebar-item a:hover a {
  background-color: rgba(var(--app-color-surface-rgb)/0.1);
}
#storybook-explorer-tree a[href*="#storybook-preview-wrapper"] {
  display: none;
}

.sidebar-subheading button {
  letter-spacing: 0.3ch;
}

.search-field {
  margin-inline: -0.5em;
  margin-block-start: 1.5em;
}

.search-field :is(input) {
  background-color: color-mix(in srgb, currentColor 5%, transparent);
  padding-block: 1.2em;
  font-size: 0.9em;
  border-radius: 0.7em;
}

.search-field > div:first-of-type {
  top: -1px;
  left: 28px;
}

.search-field :is(code) {
  top: 26px;
  right: 32px;
}

#storybook-explorer-menu :is(ol[role="listbox"] li) {
  padding-block: 0.3em;
}

html.dark, html.contrastDark,
div.dark,
div.contrastDark {
  --app-color-background: hsl(190, 15%, 15%);
  --app-color-on-background-rgb: 255 255 255;
  --app-color-surface-rgb: 42 54 56;
  --app-color-primary-rgb: 166 248 255;
  --app-color-primary: #a6f8ff;
}
html.light, html.contrastLight,
div.light,
div.contrastLight {
  --app-color-background: #e5e6eb;
  --app-color-on-background-rgb: 33 42 44;
  --app-color-surface-rgb: 255 255 255;
  --app-color-primary-rgb: 0 60 65;
  --app-color-primary: #003c41;
}
html.dark,
div.dark {
  --contrast-color: black;
}
html.dark #storybook-preview-iframe,
div.dark #storybook-preview-iframe {
  background-color: #212a2c;
}
html.light,
div.light {
  --contrast-color: white;
}
html.light #storybook-preview-iframe,
div.light #storybook-preview-iframe {
  background-color: #e5e6eb;
}
html.contrastDark,
div.contrastDark {
  --contrast-color: black;
}
html.contrastDark #storybook-preview-iframe,
div.contrastDark #storybook-preview-iframe {
  background-color: #fdff42;
}
html.contrastLight,
div.contrastLight {
  --contrast-color: white;
}
html.contrastLight #storybook-preview-iframe,
div.contrastLight #storybook-preview-iframe {
  background-color: #000;
}
</style>`;
var a = Object.freeze, m = Object.defineProperty, b = (o, r) => a(m(o, "raw", { value: a(o.slice()) })), s;
const { raw: l } = String;
var i;
const e = ((i = n.npm_package_scripts_dev) == null ? void 0 : i.startsWith("nuxt")) ?? !1, h = e ? [
  { from: "../node_modules/weightmans-ui-vue/dist/assets", to: "assets" }
] : [], c = d(import.meta.url);
function u(o = []) {
  return [...o, c.resolve("./storybook-addon/preview.js")];
}
function v(o = []) {
  return [...o, c.resolve("./storybook-addon/manager.js")];
}
const w = [`../${e ? "app" : "src"}/**/*.stories.@(js|ts)`], x = [
  "@storybook/addon-essentials",
  "storybook-dark-mode",
  "@storybook/addon-themes",
  "@storybook/addon-links",
  "@storybook/addon-interactions",
  "@storybook/addon-a11y",
  "@storybook/addon-designs",
  "@chromatic-com/storybook",
  "storybook-addon-vue-slots"
], _ = {
  name: e ? "@storybook-vue/nuxt" : "@storybook/vue3-vite",
  options: {
    builder: e ? {} : { viteConfigPath: "./vite.config.ts" },
    docgen: "vue-component-meta"
  }
}, L = {
  autodocs: "tag",
  toc: !0
}, D = {
  disableTelemetry: !0
}, g = l`
  <body class="weightmans-viewport">
  </body>
`, z = l(s || (s = b([`
  <script>
    window.global = window;
    (() => {

        const parentHtml = window.frameElement ? window.frameElement.ownerDocument.documentElement : document.documentElement

        if(parentHtml.classList.contains('dark')){
          document.documentElement.classList.toggle('dark', true)
        } else {
          document.documentElement.classList.toggle('light', true)
        }

    })()
  <\/script>
  <link rel=”preload” crossorigin as="font" type="font/woff2" href=”/assets/fonts/TheMix_500/TheMix_500_.woff2” crossorigin="anonymous" />
  <link rel=”preload” crossorigin as="font" type="font/woff2" href=”/assets/fonts/TheMix_700/TheMix_700_.woff2” crossorigin="anonymous" />
  <link rel="preconnect" href="https://fonts.googleapis.com" />
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
  <link
    href="https://fonts.googleapis.com/css2?family=Nunito+Sans:wght@900&display=swap"
    rel="preload" as="style" type="text/css" onload="this.onload=null;this.rel='stylesheet'"
  />
`])));
async function E(o) {
  var t;
  if (!e)
    return o;
  n.MODE = "offline-development";
  const { mergeConfig: r } = await import("vite");
  return r(o, {
    mode: "offline-development",
    envPrefix: "NUXT_",
    resolve: {
      alias: {
        vue: "vue/dist/vue.esm-bundler.js"
      }
    },
    optimizeDeps: {
      include: [...((t = o.optimizeDeps) == null ? void 0 : t.include) ?? [], "storybook > @storybook/core > jsdoc-type-pratt-parser", "miragejs"]
    }
  });
}
const S = g;
export {
  x as addons,
  D as core,
  L as docs,
  _ as framework,
  S as managerBody,
  v as managerEntries,
  y as managerHead,
  u as previewAnnotations,
  g as previewBody,
  z as previewHead,
  h as staticDirs,
  w as stories,
  E as viteFinal
};
